#	$NetBSD: Makefile,v 1.1 1995/07/12 04:57:47 thorpej Exp $
#	@(#)Makefile	8.1 (Berkeley) 5/31/93

#
# Define HOME_AGENT for home agent support

CFLAGS	+= -g -I${.CURDIR} -I${HOSTSRC}
CFLAGS	+= -DHOME_AGENT -DuMIPBS -DCIP6
CFLAGS += -DKAME_ND6

install :
	chmod 755 HA_BS
PROG=HA_BS	
HOSTSRC = ${.CURDIR}/../ndpd-host
SRCS=   icmp.c kern.c main.c readconf.c rip.c route.c util.c \
	ha-dummy.c ha-loc.c ha-reg.c ha-tun.c ha-disc.c \
	mh-dummy.c m-bind.c m-corr.c m-haddr.c m-init.c m-kvm.c \
	m-recv.c m-sec.c m-send.c m-util.c m-dump.c mb-req.c \
	mu-init.c

DPADD=	${LIBKVM}
LDADD=	-lkvm
MAN=	ndpd-router.8
MAN8=	ndpd-router.8
SUBDIR=	query6
.PATH:	${HOSTSRC} ${.CURDIR}/../ndpd-mobility ${.CURDIR}/../ndpd-uhmma

.include <bsd.prog.mk>
.include <bsd.subdir.mk>

