#ifdef UHMMA

#include "ndpd.h"
#include "../ndpd-mobility/mobility.h"
#include "uhmma.h"

/* 
depreciate a prefix 
*/

void deprec_pref(pp,d,i)
struct prefix * pp;	/* the prefix */
int d;			/* the deprecated time */
int i;			/* the invalid time */
{
	struct timeval delta;
	long age;

	delta.tv_sec = last_rtadv.tv_sec - pp->last.tv_sec - 1;
	delta.tv_usec = last_rtadv.tv_usec - pp->last.tv_usec;
	delta.tv_usec += 1000000;
	NORMTIME(delta);
	age = delta.tv_sec;
	if (delta.tv_usec >= 500000)
		age += 1;

	if (pp->tp) {
		kill_timeout(pp->tp);
		pp->tp = NULL;
	}

	if ((pp->deplife - age > d) ||
	    (pp->deplife == INFLIFE))
		pp->deplife = d;
	if ((pp->invlife - age > i) ||
	    (pp->invlife == INFLIFE))
		pp->invlife = i;

	pp->tp = new_timeout(pp->deplife, 0,
/*			     (func_to) prefix_deprec, pp);*/
			     (func_to) del_prefix, pp);
	if (verboseU)
		logtrace("mobile_newrtadv: make %s/%d old",
			 inet6pr(&pp->addr), pp->plen);
}
#endif